PORT-MIGRATE(1)

NAME
port-migrate - Update MacPorts for a new platform.

SYNOPSIS

port [-vdN] migrate
    [--all] [--continue]

DESCRIPTION

port migrate will reinstall the base MacPorts system and installed ports if they are not compatible with the current platform. It should be run after updating to a new major OS version, or after transferring a MacPorts installation to a computer with a different CPU architecture.

OPTIONS

--all
    Migrate all ports including unrequested ones. By default, only requested ports and their dependencies are migrated.

--continue
    Continue with migration of ports. Normally only used internally when running the new copy of MacPorts base after it is rebuilt.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-N
    Non-interactive mode, don’t ask for confirmation before performing migration.

SEE ALSO

port(1), port-snapshot(1), port-restore(1)

AUTHORS

    (C) 2024 The MacPorts Project
    Joshua Root <jmr@macports.org>